Subject: Re: [Bitcoin-development] Area of Focus

From: Will Bickford <[email-masked]>
Date: Sat, 20 Dec 2014 16:37:58 -0600

Thanks Jeff. I'll start looking there.

Will Bickford
"In Google We Trust"

On Sat, Dec 20, 2014 at 3:26 PM, Jeff Garzik <[email-masked]> wrote:

> Getting back to the original topic...
>
> I would recommend first taking a look at how the current tests are built
> (via autoconf/automake) in src/test.  There are several surfaces to test,
> RPC, REST, P2P, internal unit tests, and more.  Then, Travis applies a
> second level of testing via the bitcoinj-based regression tests.
>
> Some automated tests that operate at the Qt level would be interesting.
> In general, the current tests only scratch the surface of what Needs To Be
> Tested...  but part of figuring out a good test is (a) knowing bitcoin and
> (b) knowing the current test regimes.
>
> Join #bitcoin-dev IRC and ask questions.  Read the bitcoin wiki.
>
>
>
>
> On Sat, Dec 20, 2014 at 2:42 AM, Will Bickford <[email-masked]> wrote:
>
>> Hi all, I'm looking to help with Bitcoin core development in my spare
>> time (a few hours per week).
>>
>> A little bit about me:
>> * I use C++ and Qt daily
>> * I love to automate and enhance software systems
>> * I enjoy root causing and fixing issues
>>
>> I saw Gavin say we needed help with testing in a Reddit AMA a while ago.
>> I'm curious where I can make the best impact. Any feedback would be
>> appreciated. Thanks!
>>
>> Will Bickford
>> "In Google We Trust"
>>
>>
>> ------------------------------------------------------------------------------
>> Download BIRT iHub F-Type - The Free Enterprise-Grade BIRT Server
>> from Actuate! Instantly Supercharge Your Business Reports and Dashboards
>> with Interactivity, Sharing, Native Excel Exports, App Integration & more
>> Get technology previously reserved for billion-dollar corporations, FREE
>>
>> http://pubads.g.doubleclick.net/gampad/clk?id=164703151&iu=/4140/ostg.clktrk
>> _______________________________________________
>> Bitcoin-development mailing list
>> [email-masked]
>> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>>
>>
>
> --
> Jeff Garzik
> Bitcoin core developer and open source evangelist
> BitPay, Inc.      https://bitpay.com/
>